package commonctx

import (
	"context"

	"github.com/sirupsen/logrus"
)

const LoggerKey = "mainLogger"

func AddMainLogger(ctx context.Context, logger *logrus.Logger) context.Context {
	return context.WithValue(ctx, LoggerKey, logger)
}

func GetLogger(ctx context.Context) *logrus.Logger {
	return ctx.Value(LoggerKey).(*logrus.Logger)
}
